Avro C#

Public Member Functions | Static Public Member Functions | Properties | List of all members
Avro.FixedSchema Class Reference

Class for fixed schemas More...

Inheritance diagram for Avro.FixedSchema:

## Public Member Functions
override bool | Equals (object obj)
| Compares two fixed schemas More...
override int | GetHashCode ()
| Hash code function More...
override bool | CanRead (Schema writerSchema)
| Checks if this schema can read data written by the given schema. Used for decoding data. More...
Public Member Functions inherited from Avro.Schema
override string | ToString ()
| Returns the canonical JSON representation of this schema. More...
string | GetProperty (string key)
| Returns the schema's custom property value given the property name More...
override int | GetHashCode ()
| Hash code function More...

## Static Public Member Functions
static FixedSchema | Create (string name, int size, string space=null, IEnumerable< string > aliases=null, PropertyMap customProperties=null, string doc=null)
| Initializes a new instance of the FixedSchema class. More...
Static Public Member Functions inherited from Avro.Schema
static Schema | Parse (string json)
| Parses a given JSON string to create a new schema object More...
static string | GetTypeString (Type type)
| Returns symbol name for the given schema type More...
static Schema.? Type | ParseType (string type, bool removeQuotes=false)
| Parses the Schema.Type from a string. More...

## Properties
int | Size`[get, set]`
| Fixed size for the bytes More...
Properties inherited from Avro.NamedSchema
SchemaName | SchemaName`[get]`
| Name of the schema, contains name, namespace and enclosing namespace More...
override string | Name`[get]`
| Name of the schema More...
string | Namespace`[get]`
| Namespace of the schema More...
override string | Fullname`[get]`
| Namespace.Name of the schema More...
string | Documentation`[get]`
| Documentation for the schema, if any. Null if there is no documentation. More...
Properties inherited from Avro.Schema
Type | Tag`[get]`
| Schema type property More...
abstract string | Name`[get]`
| If this is a record, enum or fixed, returns its name, otherwise the name the primitive type. More...
virtual string | Fullname`[get]`
| The name of this schema. If this is a named schema such as an enum, it returns the fully qualified name for the schema. For other schemas, it returns the type of the schema. More...

## Additional Inherited Members
Public Types inherited from Avro.Schema
enum | Type { Type.Null, Type.Boolean, Type.Int, Type.Long, Type.Float, Type.Double, Type.Bytes, Type.String, Type.Record, Type.Enumeration, Type.Array, Type.Map, Type.Union, Type.Fixed, Type.Error, Type.Logical }
| Enum for schema types More...
Protected Member Functions inherited from Avro.NamedSchema
| NamedSchema (Type type, SchemaName name, IList< SchemaName > aliases, PropertyMap props, SchemaNames names, string doc)
| Constructor for named schema class More...
bool | InAliases (SchemaName name)
| Determines whether the given schema name is one of this NamedSchema's aliases. More...
Protected Member Functions inherited from Avro.Schema
| Schema (Type type, PropertyMap props)
| Constructor for schema class More...
Static Protected Member Functions inherited from Avro.NamedSchema
static SchemaName | GetName (JToken jtok, string encspace)
| Parses the name and namespace from the given JSON schema object then creates SchemaName object including the given enclosing namespace More...
static IList< SchemaName > | GetAliases (JToken jtok, string space, string encspace)
| Parses the 'aliases' property from the given JSON token More...
Static Protected Member Functions inherited from Avro.Schema
static bool | areEqual (object o1, object o2)
| Compares two objects, null is equal to null More...
static int | getHashCode (object obj)
| Hash code helper function More...

## Detailed Description

Class for fixed schemas

## Member Function Documentation

## ◆ CanRead()

override bool Avro.FixedSchema.CanRead | ( | Schema | writerSchema | ) |
| inline virtual

Checks if this schema can read data written by the given schema. Used for decoding data.

Parameters

  writerSchema | writer schema

Returns
  true if this and writer schema are compatible based on the AVRO specification, false otherwise

Reimplemented from Avro.Schema.

## ◆ Create()

static FixedSchema Avro.FixedSchema.Create | ( | string | name,
|  | int | size,
|  | string | space = `null`,
|  | IEnumerable< string > | aliases = `null`,
|  | PropertyMap | customProperties = `null`,
|  | string | doc = `null`
| ) |  |
| inline static

Initializes a new instance of the FixedSchema class.

Parameters

  name | Name of the fixed schema
  aliases | List of aliases for the name
  size | Fixed size
  space | Namespace of fixed
  customProperties | Custom properties on this schema
  doc | Documentation for this named schema

## ◆ Equals()

override bool Avro.FixedSchema.Equals | ( | object | obj | ) |
| inline

Compares two fixed schemas

Parameters

  obj | fixed schema to compare against this schema

Returns
  true if two schemas are the same, false otherwise

## ◆ GetHashCode()

override int Avro.FixedSchema.GetHashCode | ( |  | ) |
| inline

Hash code function

Returns

## Property Documentation

## ◆ Size

int Avro.FixedSchema.Size
| get set

Fixed size for the bytes

The documentation for this class was generated from the following file:

- src/apache/main/Schema/FixedSchema.cs